Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record
Class DimensionsRecord

    java.lang.Object
      org.apache.poi.hssf.record.RecordBase
          org.apache.poi.hssf.record.Record
              org.apache.poi.hssf.record.StandardRecord
                  org.apache.poi.hssf.record.DimensionsRecord

    public final class DimensionsRecord

extends StandardRecord

Title: Dimensions Record

Description: provides the minumum and maximum bounds of a sheet.

REFERENCE: PG 303 Microsoft Excel 97 Developer's Kit (ISBN: 1-57231-498-2)

Version:
  2.0-pre
Author:
  Andrew C. Oliver (acoliver at apache dot org), Jason Height (jheight at chariot dot net dot au)

Field Summary
`static short` | `sid`

Constructor Summary
`DimensionsRecord()`
`DimensionsRecord(RecordInputStream in)`

Method Summary
`java.lang.Object` | `clone()`
`protected int` | `getDataSize()`
`short` | `getFirstCol()` get the first column number for the sheet
`int` | `getFirstRow()` get the first row number for the sheet
`short` | `getLastCol()` get the last col number for the sheet
`int` | `getLastRow()` get the last row number for the sheet
`short` | `getSid()` return the non static version of the id for this record.
`void` | `serialize(LittleEndianOutput out)` Write the data content of this BIFF record.
`void` | `setFirstCol(short col)` set the first column number for the sheet
`void` | `setFirstRow(int row)` set the first row number for the sheet
`void` | `setLastCol(short col)` set the last col number for the sheet
`void` | `setLastRow(int row)` set the last row number for the sheet
`java.lang.String` | `toString()` get a string representation of the record (for biffview/debugging)

Methods inherited from class org.apache.poi.hssf.record.StandardRecord
`getRecordSize, serialize`

Methods inherited from class org.apache.poi.hssf.record.Record
`cloneViaReserialise, serialize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

Constructor Detail

### DimensionsRecord

    public DimensionsRecord()

### DimensionsRecord

    public DimensionsRecord(RecordInputStream in)

Method Detail

### setFirstRow

    public void setFirstRow(int row)

  set the first row number for the sheet

  Parameters:
    `row` - - first row on the sheet

### setLastRow

    public void setLastRow(int row)

  set the last row number for the sheet

  Parameters:
    `row` - - last row on the sheet

### setFirstCol

    public void setFirstCol(short col)

  set the first column number for the sheet

  Parameters:
    `col` - first column on the sheet

### setLastCol

    public void setLastCol(short col)

  set the last col number for the sheet

  Parameters:
    `col` - last column on the sheet

### getFirstRow

    public int getFirstRow()

  get the first row number for the sheet

  Returns:
    row - first row on the sheet

### getLastRow

    public int getLastRow()

  get the last row number for the sheet

  Returns:
    row - last row on the sheet

### getFirstCol

    public short getFirstCol()

  get the first column number for the sheet

  Returns:
    column - first column on the sheet

### getLastCol

    public short getLastCol()

  get the last col number for the sheet

  Returns:
    column - last column on the sheet

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### serialize

    public void serialize(LittleEndianOutput out)

  Description copied from class: `StandardRecord`
  Write the data content of this BIFF record. The 'ushort sid' and 'ushort size' header fields have already been written by the superclass.
  The subclass must write the exact number of bytes as reported by `RecordBase.getRecordSize()`}

  Specified by:
    `serialize` in class `StandardRecord`

### getDataSize

    protected int getDataSize()

  Specified by:
    `getDataSize` in class `StandardRecord`

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `Record`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.